create database Lots;
GO
use Lots;
GO

create table Zone(
   Number INTEGER PRIMARY KEY,
   BuiltAreaRate INTEGER NOT NULL,
   LotRate INTEGER NOT NULL
);

create table LotOwner(
   LotNumber INTEGER PRIMARY KEY,
   ZoneId INTEGER NOT NULL,
   SurName VARCHAR(30) NOT NULL,
   GivenName VARCHAR(30) NOT NULL,
   Identifier VARCHAR(8) NOT NULL
);

create table TaxStatement(
   LotNumber INTEGER PRIMARY KEY,
   FilledOut DATETIME NOT NULL,
   Deposit INTEGER NOT NULL,
   RemainingAmount INTEGER NOT NULL,
   Frequency VARCHAR(10) NOT NULL
);
GO

insert into Zone(Number, BuiltAreaRate, LotRate) values (1, 200, 120);
insert into Zone(Number, BuiltAreaRate, LotRate) values (2, 250, 130);
insert into Zone(Number, BuiltAreaRate, LotRate) values (3, 280, 170);
GO

insert into LotOwner(LotNumber, ZoneId, SurName, GivenName, Identifier) values (2345, 1, 'Mek', 'Elek', '12345678');
insert into LotOwner(LotNumber, ZoneId, SurName, GivenName, Identifier) values (4673, 2, 'Drmg', 'Dmtr', '12345678');
insert into LotOwner(LotNumber, ZoneId, SurName, GivenName, Identifier) values (9642, 3, 'Gazdag', 'Gergely', '12345678');
GO